Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkix.crmf
Class CertId

    java.lang.Object
      |
      +--org.mozilla.jss.pkix.crmf.CertId

All Implemented Interfaces:
  ASN1Value

public class CertId
extends java.lang.Object
implements ASN1Value

CRMF CertId.

     CertId ::= SEQUENCE {
          issuer          GeneralName,
          serialNumber    INTEGER }

Inner Class Summary
`static class` | `CertId.Template` A Template for decoding a `CertId`.

Field Summary
`private ANY` | `issuer`
`private SEQUENCE` | `sequence`
`private INTEGER` | `serialNumber`
`private static Tag` | `TAG`
`private static CertId.Template` | `templateInstance`

Constructor Summary
`private` | `CertId()`
`` | `CertId(ANY issuer, INTEGER serialNumber)` Constructs a new `CertId` from its components.

Method Summary
`void` | `encode(java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using its own base tag.
`void` | `encode(Tag implicitTag, java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using an implicit tag.
`ANY` | `getIssuer()` Returns the `issuer` field as an `ANY`.
`INTEGER` | `getSerialNumber()` Returns the `serialNumber` field.
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
`static CertId.Template` | `getTemplate()`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### issuer

    private ANY issuer

### serialNumber

    private INTEGER serialNumber

### sequence

    private SEQUENCE sequence

### TAG

    private static final Tag TAG

### templateInstance

    private static final CertId.Template templateInstance

Constructor Detail

### CertId

    private CertId()

### CertId

    public CertId(ANY issuer,
                  INTEGER serialNumber)

  Constructs a new `CertId` from its components. Neither component may be `null`.

Method Detail

### getIssuer

    public ANY getIssuer()

  Returns the `issuer` field as an `ANY`. The actual type of the field is GeneralName.

### getSerialNumber

    public INTEGER getSerialNumber()

  Returns the `serialNumber` field.

### getTag

    public Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
  Specified by:
    `getTag` in interface `ASN1Value`

### encode

    public void encode(java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using its own base tag.
  Specified by:
    `encode` in interface `ASN1Value`

### encode

    public void encode(Tag implicitTag,
                       java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using an implicit tag.
  Specified by:
    `encode` in interface `ASN1Value`

### getTemplate

    public static CertId.Template getTemplate()

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD